curl --request GET \
--url https://app.surfacd.com/api/v1/projects/{project}/reputation/sentiment-by-model \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.surfacd.com/api/v1/projects/{project}/reputation/sentiment-by-model"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.surfacd.com/api/v1/projects/{project}/reputation/sentiment-by-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"models": [
{
"service_name": "<string>",
"service_display_name": "<string>",
"positive": 123,
"neutral": 123,
"negative": 123,
"score": 123,
"previous_score": 123
}
]
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Sentiment by Platform
Per-platform sentiment distribution and Net Sentiment Index for the project across the date range.
Authorizations
Team API key created in Team Settings. Use it with URLs for the same team.
Path Parameters
Project UUID.
Query Parameters
Must be on or after start_date.
Tag UUID or name filters. Repeat as tags[]=<uuid-or-name>. Discover tags with GET /api/v1/projects/{project}/tags.
AI platform provider filters such as chatgpt or perplexity. Repeat as services[]=<provider>. Discover providers with GET /api/v1/platforms.
Country code filters such as US or GB. Repeat as countries[]=<code>. Discover codes with GET /api/v1/countries.
Topic UUID or name filters. Use no_topic for prompts without a topic. Repeat as topics[]=<uuid-or-name>. Discover topics with GET /api/v1/projects/{project}/topics.
Prompt UUID filter.
Brand UUID to scope the reputation data to. Must belong to the project. Defaults to the project's primary brand; when the project has no primary brand an explicit brand is required. Discover brand UUIDs with GET /api/v1/projects/{project}/brands.
Response
The per-platform sentiment breakdown.
Show child attributes
Show child attributes